Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 06 May 2021 10:17:01 +0200

Boruch Baum <[email-masked]> writes:

>> So I fixed that up, but I've seen that in other patches -- could you
>> have a look and see what's causing this mixture of tab and spaces?
>
> I could use a suggestion to automate that workflow: I never use tabs,
> but often find myself editing files that have them. As soon as it gets
> annoying, I remember to perform untabify on the buffer, but there's
> probably an accepted automated method to respect the tab/space
> preferences of everyone.

With the default Emacs settings, you should never end up with a space
before a tab -- have you perhaps customised what the TAB key does here?
In general, the default TAB function tries to respect the indentation
style.  (But it'll never insert a space before a tab.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no